image: node:latest

before_script:
  - yarn

cache:
  paths:
    - node_modules/

pages:
  stage: deploy
  script:
    - yarn generate
    - rm -rf public
    - mkdir public
    - cp -r dist/* public
  artifacts:
    paths:
      - public
  only:
    - master
